const webpack = require('webpack');
const path = require('path');

const STYLE_LOADER = { 
	loader: "style-loader",
	options: {
		sourceMap: true,
	}
};

const CSS_LOADER = { 
	loader: "css-loader",
	options: {
		sourceMap: true,
	}
};

const SASS_LOADER = { 
	loader: "sass-loader",
	options: {
		sourceMap: true,
	}
};

module.exports = {
	entry: "./src/index.js",
	output: {
		filename: "bundle.js",
		path: path.resolve(__dirname, 'dist'),
		publicPath: "/dist/",
	},
	devServer: {
		contentBase: '.'
	},
	module: {
		rules: [
			{
			  test: /\.m?js$/,
			  exclude: /(node_modules|bower_components)/,
			  use: {
				loader: 'babel-loader',
				options: {
				  presets: ['@babel/preset-env']
				}
			  }
			},
			{
				test: /\.css$/,
				use: [STYLE_LOADER, CSS_LOADER],
			},
			{
				test: /\.scss$/,
				use: [STYLE_LOADER, CSS_LOADER, SASS_LOADER],
			},
		]
	}
};


